aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/run.sh4
-rwxr-xr-xbin/watch.sh7
2 files changed, 11 insertions, 0 deletions
diff --git a/bin/run.sh b/bin/run.sh
new file mode 100755
index 0000000..8209ad6
--- /dev/null
+++ b/bin/run.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+"$TERM" --command bash -c "cargo run"
diff --git a/bin/watch.sh b/bin/watch.sh
new file mode 100755
index 0000000..e3a6c28
--- /dev/null
+++ b/bin/watch.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+watchexec \
+ --watch src \
+ --restart \
+ "(killall flashcards || true) && tput reset && cargo build && bin/run.sh"